petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateCGNS

Create a DMPlex mesh from a CGNS file ID.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCGNS(MPI_Comm comm, PetscInt cgid, PetscBool interpolate, DM *dm)

Collective on comm Many br

### Input Parameters

| comm | - The MPI communicator Many br
| cgid | - The CG id associated with a file and obtained using cg_open Many br
| interpolate | - Create faces and edges in the mesh Many br

### Output Parameter

dm -The DM object representing the mesh Many br

Note: http://www.grc.nasa.gov/WWW/cgns/CGNS_docs_current/index.html Many br

Many br

### Keywords

mesh,CGNS

### See Also

DMPlexCreate(), DMPlexCreateExodus()

Level:beginner
Location:src/dm/impls/plex/plexcgns.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages